/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package gestor.datos;

public class TablaPresentes extends TablaCandidatos {

   static TablaPresentes yo = null;

   public static TablaPresentes getTablaPresentes() {
      if (yo == null) {
         yo = new TablaPresentes();
      }
      return yo;
   }

   protected TablaPresentes() {
      super();
   }

   public void recargarTabla(TablaCandidatos t) {
      datosFiltrados.clear();
       for (RegistroCandidatos r : t.datosTotal) {
           if (r.estado.equals("P")) {
               datosFiltrados.add(r);
           }
       }
   }
   public  java.util.Date ultimoPresente(String cola)
   {
       java.util.Date hora = null;
       hora = new  java.util.Date();
       java.util.Date hora2 = hora;
       long hora3 = 0;
       for (RegistroCandidatos r : datosFiltrados) {
           if (r.cola.equals(cola) && r.horaCita.after(hora2) && r.estado.equals("P")) {
               hora2 = r.horaCita;
               hora3 = hora2.getTime();
           }
       }
        if (hora3 > 0) {
             hora2.setTime(hora3+ 60000);
        }

   return hora2;
   }
}
